---
- name: Deploy RPS Scripts
  hosts: "{{ rps_group | default('localhost') }}"
  gather_facts: false
  tasks:
    - name: Set provider Lab
      ansible.builtin.set_fact:
        provider:
          host: "{{ inventory_hostname }}"
          port: "8090"
          user: "{{ rps_lab_username }}"
          password: "{{ rps_lab_pwd }}"
      when: "inventory_hostname is search(\"ps-lab\")"

    - name: Set provider Prod
      ansible.builtin.set_fact:
        provider:
          host: "{{ inventory_hostname }}-mgt"
          port: "8090"
          user: "{{ rps_username }}"
          password: "{{ rps_pwd }}"
      when: "inventory_hostname is not search(\"ps-lab\")"

    - name: Update license on device
      sgos.sgos_command.sgos_command:
        provider: "{{ provider }}"
        cmd: |
          exit
          licensing update-key

      register: license_update
      delegate_to: "{{ delegate_host }}"

    - name: Show Script Result
      ansible.builtin.debug:
        msg: "{{ license_update }}"

    - name: Look for Error
      ansible.builtin.set_fact:
        check: "{{ license_update | regex_search('% Error:.*') }}"

    - name: Error found
      ansible.builtin.debug:
        msg: "License update failed "
      when: check
